#! /bin/sh
### BEGIN INIT INFO
# Provides: browser
# Required-Start: lighttpd AMI1700drivers
# Required-Stop: 
# Should-Start:
# Should:Stop: 
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Start/stop the touchscreen browser
# Description: Start/stop the touchscreen browser
### END INIT INFO

USE_BROWSER=${USE_BROWSER-X}
#USE_BROWSER="raw"
qtrawbrowser="/webgui/sbin/browser"
LOAD_PAGE=${LOAD_PAGE-http://127.0.0.1:80/index.cgi}
ROTATION=""
GUI_OPTS="-qws $ROTATION $LOAD_PAGE"
PIDFILE="/var/run/browser.pid"

test -x "$qtrawbrowser" || exit 0

case "$USE_BROWSER" in
    X) ;;
    raw) 
	export QWS_MOUSE_PROTO=LinuxInput:/dev/input/event0:filterSize=1
	#export QWS_MOUSE_PROTO=LinuxTP:/dev/input/event0
	export QWS_DISPLAY=LinuxFb
	export LD_LIBRARY_PATH=/usr/lib
	;;
esac

case "$1" in
  start)
    if [ -e $PIDFILE ]; then
      PIDDIR=/proc/$(cat $PIDFILE)
      if [ -d ${PIDDIR} -a  "$(readlink -f ${PIDDIR}/exe)" = "${qtrawbrowser}" ]; then
        echo "$DESC already started; not starting."
      else
        echo "Removing stale PID file $PIDFILE."
        rm -f $PIDFILE
      fi
    fi

    echo -n "Starting browser"
    dd if=/webgui/images/starting-browser.img of=/dev/fb0 2>/dev/null >&2
    case "$USE_BROWSER" in
	X)
    	    export LOAD_PAGE
	    echo "using x"
	    start-stop-daemon --start --quiet --background -m --pidfile $PIDFILE --exec /usr/bin/xinit /webgui/sbin/m1700-xinit -- -config /etc/X11/xorg.conf -dpi 128.3
	    ;;
	raw)
	    echo "using qt"
    	    start-stop-daemon --start --quiet --background -m --pidfile $PIDFILE --exec $qtrawbrowser -- $GUI_OPTS
	    ;;
    esac
    echo "."
    ;;

  stop)
    echo -n "Stopping browser"
    start-stop-daemon --stop --quiet --pidfile $PIDFILE
    echo "."
    rm -f $PIDFILE
    dd if=/dev/zero of=/dev/fb0 count=1020 2>/dev/null >&2
    ;;
  *)
    echo "Usage: /etc/init.d/browser.sh {start|stop}"
    exit 1
    ;;
esac

exit 0
